Package Details: web3j 4.2.0-1

Git Clone URL: https://aur.archlinux.org/web3j.git (read-only)
Package Base: web3j
Description: A lightweight, reactive, type safe Java and Android library for integrating with nodes on Ethereum blockchains
Upstream URL: https://web3j.io/
Licenses: Apache
Submitter: benjumanji
Maintainer: benjumanji (iikirilov)
Last Packager: iikirilov
Votes: 2
Popularity: 0.008015
First Submitted: 2018-04-01 19:57
Last Updated: 2019-05-07 13:35

Latest Comments

benjumanji commented on 2019-05-07 12:07

I'd also add (although irrelevant now) if a package is out of date and you wanted it updated just flag it. I get emails for that. The package is itself stupid simple and ideally would be updated as part of the build. I meant to get get a cron setup that did it by polling the release page but the project I was working on got killed :)

benjumanji commented on 2019-05-07 12:03

Done.

iikirilov commented on 2019-05-07 11:58

Hey, yes it would awesome to added as a maintainer here. This package is quite out of date and we releasing 4.3.0 shortly.

benjumanji commented on 2018-11-07 15:09

AUR pacakges are for stable, numbered releases. If you want people to use a prerelease I'd recommend putting together a -git package. I'm also not really using web3j too much at the moment so if you want to be added as a maintainer or even take ownership of the package I'd be happy to give it up.

Also: https://github.com/web3j/web3j/issues/732

iikirilov commented on 2018-11-07 15:00

We are planning on starting to releasing snapshot and alpha packages for web3j. In fact we are currently on 4.0-alpha https://github.com/web3j/web3j/releases. What is the best way to manage this on aur?

benjumanji commented on 2018-08-29 21:44

http://allanmcrae.com/2015/01/two-pgp-keyrings-for-package-management-in-arch-linux/

Please read and digest.

tl;dr gpg --recv-keys 1295E078F64311DB

rashyd commented on 2018-08-29 21:38

I can't install this package, got error:

==> Validating source files with sha256sums...
    web3j ... Passed
    web3j-3.4.0.tar ... Passed
    web3j-3.4.0.tar.asc ... Skipped
==> Verifying source file signatures with gpg...
    web3j-3.4.0.tar ... FAILED (unknown public key 1295E078F64311DB)
==> ERROR: One or more PGP signatures could not be verified!

benjumanji commented on 2018-04-23 09:32

Fixed, thanks.

iikirilov commented on 2018-04-20 16:07

You need at least java 8 to use this library.